Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkQuadric Class Reference

`#include <vtkQuadric.h>`

Inheritance diagram for vtkQuadric:

[legend]
Collaboration diagram for vtkQuadric:

[legend]
List of all members.

## Detailed Description

evaluate implicit quadric function

Date:
  2002/01/22 15:26:15

Revision:
  1.7

vtkQuadric evaluates the quadric function F(x,y,z) = a0*x^2 + a1*y^2 + a2*z^2 + a3*x*y + a4*y*z + a5*x*z + a6*x + a7*y + a8*z + a9. vtkQuadric is a concrete implementation of vtkImplicitFunction.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (98%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkQuadric.cxx)`
  - .`h` (`/Common/vtkQuadric.h)`

Examples:
  vtkQuadric (Examples)

Tests:
  vtkQuadric (Tests)

Definition at line 48 of file vtkQuadric.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float g[3])
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
void | SetCoefficients (float a[10])
void | SetCoefficients (float a0, float a1, float a2, float a3, float a4, float a5, float a6, float a7, float a8, float a9)
virtual float * | GetCoefficients ()
virtual void | GetCoefficients (float data[10])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkQuadric * | SafeDownCast (vtkObject *o)
vtkQuadric * | New ()
## Protected Methods
| vtkQuadric ()
| ~vtkQuadric ()
## Protected Attributes
float | Coefficients [10]

## Member Typedef Documentation

typedef vtkImplicitFunction vtkQuadric::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 51 of file vtkQuadric.h.

## Constructor & Destructor Documentation

vtkQuadric::vtkQuadric | ( |  | ) | `[protected]`

vtkQuadric::~vtkQuadric | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkQuadric.h.

## Member Function Documentation

virtual const char* vtkQuadric::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkQuadric::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkQuadric::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkQuadric* vtkQuadric::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkQuadric::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkQuadric* vtkQuadric::New | ( |  | ) | `[static]`

| Construct quadric with all coefficients = 1. Reimplemented from vtkObject.

float vtkQuadric::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate quadric equation. Implements vtkImplicitFunction.

float vtkQuadric::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate quadric equation. Reimplemented from vtkImplicitFunction. Definition at line 60 of file vtkQuadric.h. References vtkImplicitFunction::EvaluateFunction().

void vtkQuadric::EvaluateGradient | ( | float | x[3],
|  | float | g[3]
| ) | `[virtual]`

| Evaluate the gradient to the quadric equation. Implements vtkImplicitFunction.

void vtkQuadric::SetCoefficients | ( | float | a[10] | ) |

| Set / get the 10 coefficients of the quadric equation.

void vtkQuadric::SetCoefficients | ( | float | a0,
|  | float | a1,
|  | float | a2,
|  | float | a3,
|  | float | a4,
|  | float | a5,
|  | float | a6,
|  | float | a7,
|  | float | a8,
|  | float | a9
| ) |

| Set / get the 10 coefficients of the quadric equation.

virtual float* vtkQuadric::GetCoefficients | ( |  | ) | `[virtual]`

| Set / get the 10 coefficients of the quadric equation.

virtual void vtkQuadric::GetCoefficients | ( | float | data[10] | ) | `[virtual]`

| Set / get the 10 coefficients of the quadric equation.

## Member Data Documentation

float vtkQuadric::Coefficients[10]`[protected]`

| Definition at line 79 of file vtkQuadric.h.

The documentation for this class was generated from the following file:

- Common/vtkQuadric.h